#include <iostream>
using namespace std;
int main ()
{
    char c1,c2;
    int a1,a2;
    cin>>c1>>c2;
    cin>>a1>>a2;
    if (a1==a2-1)
    {
        cout<<c2;
        for (int i=0;i<a1;i++)
        {
            cout<<c1<<c2;
        }

    }
    else if (a1==a2+1)
    {
        cout<<c1;
        for (int i=0;i<a2;i++)
        {
            cout<<c2<<c1;
        }
    }
    else if (a1=a2)
    {
        for (int i=0;i<a1;i++)
        {
            cout<<c1<<c2;
        }
    }
    else
        cout<<"nemoguce";
    return 0;
}